#
# Conditional build:
%bcond_without	apidocs	# API documentation

Summary:	General-purpose library for the WPE-flavored port of WebKit
Summary(pl.UTF-8):	Ogólna biblioteka do portu WPE biblioteki WebKit
Name:		libwpe
Version:	1.16.0
Release:	1
License:	BSD
Group:		Libraries
#Source0Download: https://github.com/WebPlatformForEmbedded/libwpe/releases
Source0:	https://github.com/WebPlatformForEmbedded/libwpe/releases/download/%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	9779115aaa7e67abe642777394e7bfa2
Patch0:		%{name}-libdir.patch
URL:		https://wpewebkit.org/
BuildRequires:	EGL-devel
BuildRequires:	cmake >= 3.0
%{?with_apidocs:BuildRequires:	hotdoc}
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	xorg-lib-libxkbcommon-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
General-purpose library developed for the WPE-flavored port of WebKit.

%description -l pl.UTF-8
Ogólna biblioteka do portu WPE biblioteki WebKit.

%package devel
Summary:	Header files for WPE library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki WPE
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	EGL-devel
Requires:	xorg-lib-libxkbcommon-devel

%description devel
Header files for WPE library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki WPE.

%package apidocs
Summary:	API documentation for WPE library
Summary(pl.UTF-8):	Dokumentacja API biblioteki WPE
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for WPE library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki WPE.

%prep
%setup -q
%patch0 -p1

%build
install -d build
cd build
%cmake .. \
	%{?with_apidocs:-DBUILD_DOCS=ON}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING NEWS
%attr(755,root,root) %{_libdir}/libwpe-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwpe-1.0.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwpe-1.0.so
%{_includedir}/wpe-1.0
%{_pkgconfigdir}/wpe-1.0.pc

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc build/Documentation/html/*
%endif
%changelog
* Mon Mar 25 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libwpe.git;a=log;h=master

* Mon Mar 25 2024 Jakub Bogusz <qboosh@pld-linux.org> 02fc44b
- updated to 1.16.0

* Sat Mar 16 2024 Jakub Bogusz <qboosh@pld-linux.org> ef77e28
- updated to 1.14.2

* Sat Apr 15 2023 Jakub Bogusz <qboosh@pld-linux.org> c19cf0e
- updated to 1.14.1

* Wed Mar 30 2022 Jakub Bogusz <qboosh@pld-linux.org> 9d10b06
- updated to 1.12.0

* Mon Aug 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 4309b5a
- noarch apidocs

* Mon Aug 16 2021 Jakub Bogusz <qboosh@pld-linux.org> d766083
- build apidocs

* Mon Aug 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 4e89e63
- updated to 1.10.1

* Sun Mar 28 2021 Jakub Bogusz <qboosh@pld-linux.org> 7f6d6ac
- updated to 1.10.0

* Sun Sep 13 2020 Jakub Bogusz <qboosh@pld-linux.org> d9e2ddd
- updated to 1.8.0

* Sun Apr 12 2020 Jakub Bogusz <qboosh@pld-linux.org> a16ec57
- updated to 1.6.0

* Mon Oct 07 2019 Jakub Bogusz <qboosh@pld-linux.org> c60dab5
- release 2

* Mon Oct 07 2019 Jakub Bogusz <qboosh@pld-linux.org> a5a4bbc
- apidocs todo

* Mon Oct 07 2019 Jakub Bogusz <qboosh@pld-linux.org> 22e2241
- added libdir patch (fix libdir in .pc file)
- pl, rely on CMAKE_BUILD_TYPE from cmake macro

* Sun Oct 06 2019 Adam Gołębiowski <adamg@pld-linux.org> e84cdfe
- updated to 1.4.0.1, new url

* Sun Oct 06 2019 Adam Gołębiowski <adamg@pld-linux.org> f63b2a7
- new

